package at.jku.ssw.map.test;

import at.jku.ssw.map.Map;
import at.jku.ssw.util.PrimeNumbers;
import at.jku.students.map.HashMapLinearProbing;

public class LPHashMapTest extends SizeRestrictedMapTest {

	@Override
	Map createMap() {
		return new HashMapLinearProbing(tableSize());
	}

	@Override
	public int tableSize() {
		return PrimeNumbers.calculateTabSize(12);
	}

}
